;-------------------------------------------------------------------------------
; sys_intvecs.asm
;
; (c) Texas Instruments 2009-2010, All rights reserved.
;

    .sect ".intvecs"


;-------------------------------------------------------------------------------
; import reference for interrupt routines

    .ref _c_int00
    .ref _undefined
    .ref _svc
    .ref _prefetchAbort
    .ref _dataAbort


;-------------------------------------------------------------------------------
; interrupt vectors

        b   _c_int00               ;0x00
        b   _undefined             ;0x04
        b   _svc                   ;0x08, Software interrupt
        b   _prefetchAbort         ;0x0C, Abort (prefetch)  
        b   _dataAbort             ;0x10, Abort (data) 
reservedEntry
        b   reservedEntry          ;0x14
        ldr pc,[pc,#-0x1b0]        ;0x18
        ldr pc,[pc,#-0x1b0]        ;0x1C 

    
;-------------------------------------------------------------------------------
