/* Include Files */

#include "sys_common.h"
#include "system.h"
#include "sys_vim.h"
#include "sys_core.h"
#include "sys_memory.h"

/* USER CODE BEGIN (1) */

//#include <stdio.h>
#include "sci.h"
#include "spi.h"
#include "uartstdio.h"

extern int SD_Test(void);
/* USER CODE END */


/* USER CODE BEGIN (2) */

void main(void)
{
	/* USER CODE BEGIN (3) */
	/** - Enable IRQ and FIQ interrupt in Cortex R4 */
//	swi_enable_fiq_irq();
	
	/** - Initialize SCI Routines to receive Command and transmit data */
	sciInit();
	
	/** - Configure GIO for LED demo Software */
	gioInit();
	
	/** - Configure MibSPI3 for SD card application */
	spiInit();

    UARTprintf("\r RM48 RevE HDK SDCARD Demo ");
    UARTprintf("\r Type \'help\' for help.");
    UARTprintf("\r\r Catalog MCU, qjwang@ti.com \r\r");


	SD_Test();
				
}


/* USER CODE BEGIN (4) */
/* USER CODE END */
